Oracle Linux 5 : systemtap (ELSA-2011-1089)

Low Nessus Plugin ID 68313


The remote Oracle Linux host is missing one or more security updates.


From Red Hat Security Advisory 2011:1089 :

Updated systemtap packages that fix one security issue are now available for Red Hat Enterprise Linux 5.

The Red Hat Security Response Team has rated this update as having moderate security impact. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available from the CVE link in the References section.

SystemTap is an instrumentation system for systems running the Linux kernel. The system allows developers to write scripts to collect data on the operation of the system.

A race condition flaw was found in the way the staprun utility performed module loading. A local user who is a member of the stapusr group could use this flaw to modify a signed module while it is being loaded, allowing them to escalate their privileges. (CVE-2011-2503)

SystemTap users should upgrade to these updated packages, which contain a backported patch to correct this issue.


Update the affected systemtap packages.

See Also

Plugin Details

Severity: Low

ID: 68313

File Name: oraclelinux_ELSA-2011-1089.nasl

Version: $Revision: 1.3 $

Type: local

Agent: unix

Published: 2013/07/12

Modified: 2015/12/01

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 3.7

Vector: CVSS2#AV:L/AC:H/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:systemtap, p-cpe:/a:oracle:linux:systemtap-client, p-cpe:/a:oracle:linux:systemtap-initscript, p-cpe:/a:oracle:linux:systemtap-runtime, p-cpe:/a:oracle:linux:systemtap-sdt-devel, p-cpe:/a:oracle:linux:systemtap-server, p-cpe:/a:oracle:linux:systemtap-testsuite, cpe:/o:oracle:linux:5

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2011/08/02

Reference Information

CVE: CVE-2011-2503

RHSA: 2011:1089